/*Copyright (c) 2018 Texas Instruments Incorporated

All rights reserved not granted herein.

Limited License.  

Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive license under copyrights and patents it now or hereafter owns or controls to make, have made, use, import, offer to sell and sell ("Utilize") this software subject to the terms herein.  With respect to the foregoing patent license, such license is granted  solely to the extent that any such patent is necessary to Utilize the software alone.  The patent license shall not apply to any combinations which include this software, other than combinations with devices manufactured by or for TI (â€œTI Devicesâ€).  No hardware patent is licensed hereunder.

Redistributions must preserve existing copyright notices and reproduce this license (including the above copyright notice and the disclaimer and (if applicable) source code license limitations below) in the documentation and/or other materials provided with the distribution

Redistribution and use in binary form, without modification, are permitted provided that the following conditions are met:

*       No reverse engineering, decompilation, or disassembly of this software is permitted with respect to any software provided in binary form.

*       any redistribution and use are licensed by TI for use only with TI Devices.

*       Nothing shall obligate TI to provide you with source code for the software licensed and provided to you in object code.

If software source code is provided to you, modification and redistribution of the source code are permitted provided that the following conditions are met:

*       any redistribution and use of the source code, including any resulting derivative works, are licensed by TI for use only with TI Devices.

*       any redistribution and use of any object code compiled from the source code and any resulting derivative works, are licensed by TI for use only with TI Devices.

Neither the name of Texas Instruments Incorporated nor the names of its suppliers may be used to endorse or promote products derived from this software without specific prior written permission.

DISCLAIMER.

THIS SOFTWARE IS PROVIDED BY TI AND TIâ€™S LICENSORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL TI AND TIâ€™S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/

/* DAC8741H Header File */

/****************** ADDRESS DEFINITIONS *******************/
#define CONTROL 0x0002
#define RESET 0x0007
#define MODEM_STATUS 0x0020
#define MODEM_IRQ_MASK 0x0021
#define MODEM_CONTROL 0x0022
#define FIFO_D2M 0x0023
#define FIFO_M2D 0x0024
#define FIFO_LEVEL_SET 0x0025
#define PAFF_JABBER 0x0027

/****************** REGISTER VALUE DEFINITIONS *******************/

/*** CONTROL ***/
#define WDTO_50ms 0x0000
#define WDTO_100ms 0x2000
#define WDTO_500ms  0x4000
#define WDTO_1s 0x6000
#define WDTO_2s 0x8000
#define WDTO_3s 0xA000
#define WDTO_4s 0xC000
#define WDTO_5s 0xE000
#define WDT 0x1000
#define PDVREF 0x0040
#define CRC_EN 0x0010
#define IRQ_POL 0x0008
#define IRQ_LEVEL 0x0004
#define SDO_Z 0x0002
#define SDO_B 0x0001

/*** RESET ***/
#define RST 0x0001

/*** MODEM_STATUS, MODEM_IRQ_MASK ***/
#define RST 0x8000
#define JAB_OFF 0x4000
#define JAB_ON 0x2000
#define GAP 0x1000
#define FRAME 0x0800
#define PARITY 0x0400
#define WDT 0x0200
#define CRC 0x0100
#define FIFO_M2D_LEVEL 0x0080
#define FIFO_M2D_FULL 0x0040
#define FIFO_M2D_EMPTY 0x0020
#define FIFO_D2M_LEVEL 0x0010
#define FIFO_D2M_FULL 0x0008
#define FIFO_D2M_EMPTY 0x0004
#define CD 0x0002
#define CTS 0x0001


/*** MODEM_CONTROL ***/
#define FFPA_POL 0x8000
#define FFPA_PREAMBLE_1bytes 0x0000
#define FFPA_PREAMBLE_2bytes 0x1000
#define FFPA_PREAMBLE_3bytes 0x2000
#define FFPA_PREAMBLE_4bytes 0x3000
#define FFPA_PREAMBLE_5bytes 0x4000
#define FFPA_PREAMBLE_6bytes 0x5000
#define FFPA_PREAMBLE_7bytes 0x6000
#define FFPA_PREAMBLE_8bytes 0x7000
#define TX_AMP 0x01F0
#define MOD_EN 0x0008
#define DUP_EN 0x0004
#define RTS 0x0001

/*** FIFO_D2M, FIFO_M2D ***/
#define FIFO_LEVEL 0xF000
#define LEVEL_FLAG 0x0800
#define FULL_FLAG 0x0400
#define EMPTY_FLAG 0x0200
#define PARITY_BIT 0x0100
#define DATA 0x

/*** FIFO_LEVEL_SET ***/
#define M2D_LEVEL 0x00F0
#define D2M_LEVEL 0x000F

/*** PAFF_JABBER ***/
#define PAFF_JABBER 0x00FF






